Bug 1294103 - [abrt] fprintd: fp_async_dev_close(): fprintd killed by SIGSEGV
[abrt] fprintd: fp_async_dev_close(): fprintd killed by SIGSEGV
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: fprintd (Show other bugs)
rawhide
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:bffec8b29dc84109ab69e27ca0b...
:
: 1294849 1359901 1385721 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-24 16:32 EST by Marek Doležel
Modified: 2016-10-18 11:53 EDT (History)
19 users (show)

See Also:
Fixed In Version: fprintd-0.7.0-1.fc25 fprintd-0.7.0-1.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-10-15 12:09:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (15.69 KB, text/plain)
2015-12-24 16:32 EST, Marek Doležel
no flags Details
File: cgroup (232 bytes, text/plain)
2015-12-24 16:33 EST, Marek Doležel
no flags Details
File: core_backtrace (4.12 KB, text/plain)
2015-12-24 16:33 EST, Marek Doležel
no flags Details
File: dso_list (3.37 KB, text/plain)
2015-12-24 16:33 EST, Marek Doležel
no flags Details
File: environ (72 bytes, text/plain)
2015-12-24 16:33 EST, Marek Doležel
no flags Details
File: exploitable (82 bytes, text/plain)
2015-12-24 16:33 EST, Marek Doležel
no flags Details
File: limits (1.29 KB, text/plain)
2015-12-24 16:33 EST, Marek Doležel
no flags Details
File: maps (17.27 KB, text/plain)
2015-12-24 16:33 EST, Marek Doležel
no flags Details
File: mountinfo (3.64 KB, text/plain)
2015-12-24 16:33 EST, Marek Doležel
no flags Details
File: namespaces (85 bytes, text/plain)
2015-12-24 16:33 EST, Marek Doležel
no flags Details
File: open_fds (940 bytes, text/plain)
2015-12-24 16:33 EST, Marek Doležel
no flags Details
File: proc_pid_status (1.14 KB, text/plain)
2015-12-24 16:33 EST, Marek Doležel
no flags Details
File: var_log_messages (1.63 KB, text/plain)
2015-12-24 16:33 EST, Marek Doležel
no flags Details

  None (edit)
Description Marek Doležel 2015-12-24 16:32:54 EST
Description of problem:
Not sure how this happened. I have enabled fingerprint enrollment on my t440p.

Version-Release number of selected component:
fprintd-0.6.0-3.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/libexec/fprintd
crash_function: fp_async_dev_close
executable:     /usr/libexec/fprintd
global_pid:     2738
kernel:         4.4.0-0.rc5.git3.1.fc24.x86_64
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 fp_async_dev_close at async.c:93
 #1 _fprint_device_client_vanished at device.c:559
 #2 do_call at gdbusnamewatching.c:216
 #3 call_vanished_handler at gdbusnamewatching.c:242
 #5 get_name_owner_cb at gdbusnamewatching.c:352
 #6 g_task_return_now at gtask.c:1107
 #7 g_task_return at gtask.c:1165
 #8 g_dbus_connection_call_done at gdbusconnection.c:5702
 #9 g_task_return_now at gtask.c:1107
 #10 complete_in_idle_cb at gtask.c:1121

Potential duplicate: bug 1202103
Comment 1 Marek Doležel 2015-12-24 16:32:59 EST
Created attachment 1109297 [details]
File: backtrace
Comment 2 Marek Doležel 2015-12-24 16:33:00 EST
Created attachment 1109298 [details]
File: cgroup
Comment 3 Marek Doležel 2015-12-24 16:33:02 EST
Created attachment 1109299 [details]
File: core_backtrace
Comment 4 Marek Doležel 2015-12-24 16:33:03 EST
Created attachment 1109300 [details]
File: dso_list
Comment 5 Marek Doležel 2015-12-24 16:33:05 EST
Created attachment 1109301 [details]
File: environ
Comment 6 Marek Doležel 2015-12-24 16:33:06 EST
Created attachment 1109302 [details]
File: exploitable
Comment 7 Marek Doležel 2015-12-24 16:33:08 EST
Created attachment 1109303 [details]
File: limits
Comment 8 Marek Doležel 2015-12-24 16:33:10 EST
Created attachment 1109304 [details]
File: maps
Comment 9 Marek Doležel 2015-12-24 16:33:11 EST
Created attachment 1109305 [details]
File: mountinfo
Comment 10 Marek Doležel 2015-12-24 16:33:12 EST
Created attachment 1109306 [details]
File: namespaces
Comment 11 Marek Doležel 2015-12-24 16:33:14 EST
Created attachment 1109307 [details]
File: open_fds
Comment 12 Marek Doležel 2015-12-24 16:33:15 EST
Created attachment 1109308 [details]
File: proc_pid_status
Comment 13 Marek Doležel 2015-12-24 16:33:17 EST
Created attachment 1109309 [details]
File: var_log_messages
Comment 14 Jan Kurik 2016-02-24 09:10:20 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 15 Alexander Kurtakov 2016-04-26 02:00:43 EDT
Is there any hope for this bug?
Comment 16 Biji 2016-05-11 04:25:52 EDT
Similar problem has been detected:

when gdm login, shown 'Or swipe your finger', sometimes using fingerprint cant login, probably because daemon crash

reporter:       libreport-2.7.0
backtrace_rating: 4
cmdline:        /usr/libexec/fprintd
crash_function: fp_async_dev_close
executable:     /usr/libexec/fprintd
global_pid:     12216
kernel:         4.5.1-300.fc24.x86_64
package:        fprintd-0.6.0-4.fc24
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reason:         fprintd killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            0
Comment 17 Eric Harney 2016-06-01 09:53:27 EDT
Similar problem has been detected:

Thinkpad X1 Carbon third generation

No particular action taken.  May have happened shortly after login.

reporter:       libreport-2.7.1
backtrace_rating: 4
cmdline:        /usr/libexec/fprintd
crash_function: fp_async_dev_close
executable:     /usr/libexec/fprintd
global_pid:     13373
kernel:         4.5.5-300.fc24.x86_64
package:        fprintd-0.6.0-4.fc24
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reason:         fprintd killed by SIGSEGV
reproducible:   Not sure how to reproduce the problem
runlevel:       N 5
type:           CCpp
uid:            0
Comment 18 aannoaanno 2016-07-25 12:51:29 EDT
*** Bug 1359901 has been marked as a duplicate of this bug. ***
Comment 19 Christophe Fergeau 2016-10-12 04:47:24 EDT
*** Bug 1294849 has been marked as a duplicate of this bug. ***
Comment 20 Christophe Fergeau 2016-10-12 04:47:26 EDT
*** Bug 1311798 has been marked as a duplicate of this bug. ***
Comment 21 Christophe Fergeau 2016-10-12 04:47:33 EDT
*** Bug 1317152 has been marked as a duplicate of this bug. ***
Comment 22 Christophe Fergeau 2016-10-12 05:17:15 EDT
Most likely fixed by https://cgit.freedesktop.org/libfprint/fprintd/commit/?id=e437d201084bd946f5f98db37433098049433dd1
Bastien said an upstream bugfix release would be coming up soon.
Comment 24 Fedora Update System 2016-10-13 23:20:23 EDT
fprintd-0.7.0-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-4af46f1c4d
Comment 25 Fedora Update System 2016-10-14 00:55:29 EDT
fprintd-0.7.0-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-75233c882f
Comment 26 Fedora Update System 2016-10-15 12:09:24 EDT
fprintd-0.7.0-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.
Comment 27 Biji 2016-10-15 13:11:08 EDT
This what i like from fedora. You guys really fix bugs :-)
Thanks
Comment 28 Bastien Nocera 2016-10-17 11:06:01 EDT
*** Bug 1385721 has been marked as a duplicate of this bug. ***
Comment 29 Fedora Update System 2016-10-18 11:53:32 EDT
fprintd-0.7.0-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.